Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004505OCamlOCaml generalpublic2008-02-19 16:342008-03-17 03:24
Reporterturpin 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10.1 
Target VersionFixed in Version3.10.3+dev 
Summary0004505: Bug in typing of the object layer
DescriptionThe attached code fragment breaks type inference with:

Assert_failure("typing/ctype.ml", 2760, 50).

The behavior is the same with version 3.07 (up to the line number). I don't know how to reduce the code further, but the person who wrote the assertion should know what is going on :-).
TagsNo tags attached.
Attached Files? file icon bug.ml [^] (455 bytes) 2008-02-19 16:34 [Show Content]

- Relationships

-  Notes
(0004477)
garrigue (manager)
2008-03-17 03:24

The problem was in the code that tries to create a recursive subtype.
Solved it by disabling recursion when self type appears as a parameter.

- Issue History
Date Modified Username Field Change
2008-02-19 16:34 turpin New Issue
2008-02-19 16:34 turpin File Added: bug.ml
2008-03-07 12:27 doligez Status new => acknowledged
2008-03-17 03:24 garrigue Status acknowledged => closed
2008-03-17 03:24 garrigue Note Added: 0004477
2008-03-17 03:24 garrigue Resolution open => fixed
2008-03-17 03:24 garrigue Fixed in Version => 3.10.3+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker